Index: trunk/src/VBox/VMM/VMMAll/EMAll.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/EMAll.cpp	(revision 41734)
+++ trunk/src/VBox/VMM/VMMAll/EMAll.cpp	(revision 41735)
@@ -1655,5 +1655,5 @@
         return VERR_EM_INTERPRETER;
 
-    switch (pDis->addrmode)
+    switch (pDis->uAddrMode)
     {
     case DISCPUMODE_16BIT:
@@ -1675,5 +1675,5 @@
 
     GCDest = SELMToFlat(pVM, DISSELREG_ES, pRegFrame, GCOffset);
-    switch (pDis->opmode)
+    switch (pDis->uOpMode)
     {
     case DISCPUMODE_16BIT:
@@ -1703,5 +1703,5 @@
 
         /* Update (e/r)di. */
-        switch (pDis->addrmode)
+        switch (pDis->uAddrMode)
         {
         case DISCPUMODE_16BIT:
@@ -1768,5 +1768,5 @@
 
         /* Update the registers. */
-        switch (pDis->addrmode)
+        switch (pDis->uAddrMode)
         {
         case DISCPUMODE_16BIT:
Index: trunk/src/VBox/VMM/VMMAll/IOMAllMMIO.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/IOMAllMMIO.cpp	(revision 41734)
+++ trunk/src/VBox/VMM/VMMAll/IOMAllMMIO.cpp	(revision 41735)
@@ -934,5 +934,5 @@
      * Get bytes/words/dwords/qwords count to copy.
      */
-    uint64_t const fAddrMask = iomDisModeToMask((DISCPUMODE)pCpu->addrmode);
+    uint64_t const fAddrMask = iomDisModeToMask((DISCPUMODE)pCpu->uAddrMode);
     RTGCUINTREG cTransfers = 1;
     if (pCpu->fPrefix & DISPREFIX_REP)
@@ -1078,5 +1078,5 @@
     if (rc == VINF_SUCCESS)
     {
-        uint64_t const fAddrMask = iomDisModeToMask((DISCPUMODE)pCpu->addrmode);
+        uint64_t const fAddrMask = iomDisModeToMask((DISCPUMODE)pCpu->uAddrMode);
         pRegFrame->rsi = ((pRegFrame->rsi + offIncrement) & fAddrMask)
                        | (pRegFrame->rsi & ~fAddrMask);
@@ -2147,5 +2147,5 @@
         cb = 1;
     else
-        cb = (pCpu->opmode == DISCPUMODE_16BIT) ? 2 : 4;       /* dword in both 32 & 64 bits mode */
+        cb = (pCpu->uOpMode == DISCPUMODE_16BIT) ? 2 : 4;       /* dword in both 32 & 64 bits mode */
 
     VBOXSTRICTRC rcStrict = IOMInterpretCheckPortIOAccess(pVM, pRegFrame, Port, cb);
@@ -2156,5 +2156,5 @@
     }
 
-    return IOMInterpretINSEx(pVM, pRegFrame, Port, pCpu->fPrefix, (DISCPUMODE)pCpu->addrmode, cb);
+    return IOMInterpretINSEx(pVM, pRegFrame, Port, pCpu->fPrefix, (DISCPUMODE)pCpu->uAddrMode, cb);
 }
 
@@ -2316,5 +2316,5 @@
         cb = 1;
     else
-        cb = (pCpu->opmode == DISCPUMODE_16BIT) ? 2 : 4;       /* dword in both 32 & 64 bits mode */
+        cb = (pCpu->uOpMode == DISCPUMODE_16BIT) ? 2 : 4;       /* dword in both 32 & 64 bits mode */
 
     VBOXSTRICTRC rcStrict = IOMInterpretCheckPortIOAccess(pVM, pRegFrame, Port, cb);
@@ -2325,5 +2325,5 @@
     }
 
-    return IOMInterpretOUTSEx(pVM, pRegFrame, Port, pCpu->fPrefix, (DISCPUMODE)pCpu->addrmode, cb);
+    return IOMInterpretOUTSEx(pVM, pRegFrame, Port, pCpu->fPrefix, (DISCPUMODE)pCpu->uAddrMode, cb);
 }
 
Index: trunk/src/VBox/VMM/VMMAll/PGMAllPool.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/PGMAllPool.cpp	(revision 41734)
+++ trunk/src/VBox/VMM/VMMAll/PGMAllPool.cpp	(revision 41735)
@@ -894,5 +894,5 @@
 
 #ifdef VBOX_STRICT
-    if (pDis->opmode == DISCPUMODE_32BIT)
+    if (pDis->uOpMode == DISCPUMODE_32BIT)
         Assert(uIncrement == 4);
     else
@@ -1198,6 +1198,6 @@
         if (    pDis->pCurInstr->opcode == OP_STOSWD
             &&  !pRegFrame->eflags.Bits.u1DF
-            &&  pDis->opmode == pDis->mode
-            &&  pDis->addrmode == pDis->mode)
+            &&  pDis->uOpMode == pDis->mode
+            &&  pDis->uAddrMode == pDis->mode)
         {
             bool fValidStosd = false;
Index: trunk/src/VBox/VMM/VMMR0/HWSVMR0.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR0/HWSVMR0.cpp	(revision 41734)
+++ trunk/src/VBox/VMM/VMMR0/HWSVMR0.cpp	(revision 41735)
@@ -2418,5 +2418,5 @@
                     Log2(("IOMInterpretOUTSEx %RGv %x size=%d\n", (RTGCPTR)pCtx->rip, IoExitInfo.n.u16Port, uIOSize));
                     STAM_COUNTER_INC(&pVCpu->hwaccm.s.StatExitIOStringWrite);
-                    rc = IOMInterpretOUTSEx(pVM, CPUMCTX2CORE(pCtx), IoExitInfo.n.u16Port, pDis->fPrefix, (DISCPUMODE)pDis->addrmode, uIOSize);
+                    rc = IOMInterpretOUTSEx(pVM, CPUMCTX2CORE(pCtx), IoExitInfo.n.u16Port, pDis->fPrefix, (DISCPUMODE)pDis->uAddrMode, uIOSize);
                 }
                 else
@@ -2424,5 +2424,5 @@
                     Log2(("IOMInterpretINSEx  %RGv %x size=%d\n", (RTGCPTR)pCtx->rip, IoExitInfo.n.u16Port, uIOSize));
                     STAM_COUNTER_INC(&pVCpu->hwaccm.s.StatExitIOStringRead);
-                    rc = IOMInterpretINSEx(pVM, CPUMCTX2CORE(pCtx), IoExitInfo.n.u16Port, pDis->fPrefix, (DISCPUMODE)pDis->addrmode, uIOSize);
+                    rc = IOMInterpretINSEx(pVM, CPUMCTX2CORE(pCtx), IoExitInfo.n.u16Port, pDis->fPrefix, (DISCPUMODE)pDis->uAddrMode, uIOSize);
                 }
             }
Index: trunk/src/VBox/VMM/VMMR0/HWVMXR0.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR0/HWVMXR0.cpp	(revision 41734)
+++ trunk/src/VBox/VMM/VMMR0/HWVMXR0.cpp	(revision 41735)
@@ -4321,5 +4321,5 @@
                     Log2(("IOMInterpretOUTSEx %RGv %x size=%d\n", (RTGCPTR)pCtx->rip, uPort, cbSize));
                     STAM_COUNTER_INC(&pVCpu->hwaccm.s.StatExitIOStringWrite);
-                    rc = IOMInterpretOUTSEx(pVM, CPUMCTX2CORE(pCtx), uPort, pDis->fPrefix, (DISCPUMODE)pDis->addrmode, cbSize);
+                    rc = IOMInterpretOUTSEx(pVM, CPUMCTX2CORE(pCtx), uPort, pDis->fPrefix, (DISCPUMODE)pDis->uAddrMode, cbSize);
                 }
                 else
@@ -4327,5 +4327,5 @@
                     Log2(("IOMInterpretINSEx  %RGv %x size=%d\n", (RTGCPTR)pCtx->rip, uPort, cbSize));
                     STAM_COUNTER_INC(&pVCpu->hwaccm.s.StatExitIOStringRead);
-                    rc = IOMInterpretINSEx(pVM, CPUMCTX2CORE(pCtx), uPort, pDis->fPrefix, (DISCPUMODE)pDis->addrmode, cbSize);
+                    rc = IOMInterpretINSEx(pVM, CPUMCTX2CORE(pCtx), uPort, pDis->fPrefix, (DISCPUMODE)pDis->uAddrMode, cbSize);
                 }
             }