Index: trunk/src/VBox/VMM/VMMAll/MMAll.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/MMAll.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMAll/MMAll.cpp	(revision 41777)
@@ -245,5 +245,5 @@
  *
  * @returns the host context ring-0 address.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pLookup     The HMA lookup record.
  * @param   off         The offset into the HMA memory chunk.
Index: trunk/src/VBox/VMM/VMMAll/MMAllHyper.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/MMAllHyper.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMAll/MMAllHyper.cpp	(revision 41777)
@@ -1187,5 +1187,5 @@
  * defined at build time.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 VMMDECL(void) MMHyperHeapCheck(PVM pVM)
Index: trunk/src/VBox/VMM/VMMAll/PGMAllHandler.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/PGMAllHandler.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMAll/PGMAllHandler.cpp	(revision 41777)
@@ -1272,5 +1272,5 @@
  * @returns true if it's an all access handler, false if it's a write access
  *          handler.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   GCPhys      The address of the page with a disabled handler.
  *
@@ -1505,5 +1505,5 @@
  * virtual handlers to the log.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 void pgmHandlerVirtualDumpPhysPages(PVM pVM)
Index: trunk/src/VBox/VMM/VMMAll/REMAll.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/REMAll.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMAll/REMAll.cpp	(revision 41777)
@@ -239,5 +239,5 @@
  * Make REM flush all translation block upon the next call to REMR3State().
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  */
 VMMDECL(void) REMFlushTBs(PVM pVM)
Index: trunk/src/VBox/VMM/VMMAll/TMAll.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMAll/TMAll.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMAll/TMAll.cpp	(revision 41777)
@@ -648,5 +648,5 @@
  *
  * @returns See tmTimerPollInternal.
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   u64Now              Current virtual clock timestamp.
  * @param   u64Delta            The delta to the next even in ticks of the
@@ -695,5 +695,5 @@
  *
  * @returns See tmTimerPollInternal.
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   u64Now              Current virtual clock timestamp.
  * @param   pu64Delta           Where to return the delta.
@@ -711,5 +711,5 @@
  *
  * @returns See tmTimerPollInternal.
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   pVCpu               Pointer to the shared VMCPU structure of the
  *                              caller.
@@ -738,5 +738,5 @@
  *          0 if the next event has already expired.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pVCpu       Pointer to the shared VMCPU structure of the caller.
  * @param   pu64Delta   Where to store the delta.
@@ -953,5 +953,5 @@
  * @returns true if timers are pending, false if not.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pVCpu       Pointer to the shared VMCPU structure of the caller.
  * @thread  The emulation thread.
@@ -971,5 +971,5 @@
  * This function is called before FFs are checked in the inner execution EM loops.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pVCpu       Pointer to the shared VMCPU structure of the caller.
  * @thread  The emulation thread.
@@ -989,5 +989,5 @@
  * @returns The GIP timestamp of the next event.
  *          0 if the next event has already expired.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pVCpu       Pointer to the shared VMCPU structure of the caller.
  * @param   pu64Delta   Where to store the delta.
Index: trunk/src/VBox/VMM/VMMR0/GVMMR0.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR0/GVMMR0.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR0/GVMMR0.cpp	(revision 41777)
@@ -966,5 +966,5 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 GVMMR0DECL(int) GVMMR0InitVM(PVM pVM)
@@ -1006,5 +1006,5 @@
  * of the VM.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @thread  EMT(0)
  */
@@ -1026,5 +1026,5 @@
  *
  * @returns true if termination hasn't been done already, false if it has.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pGVM        Pointer to the global VM structure. Optional.
  * @thread  EMT(0)
@@ -1540,5 +1540,5 @@
  * Lookup a VM by its global handle.
  *
- * @returns The VM handle on success, NULL on failure.
+ * @returns Pointer to the VM on success, NULL on failure.
  * @param   hGVM    The global VM handle. Asserts on bad handle.
  */
@@ -1557,5 +1557,5 @@
  * call may or not be an EMT thread.
  *
- * @returns The VM handle on success, NULL on failure.
+ * @returns Pointer to the VM on success, NULL on failure.
  * @param   hEMT    The native thread handle of the EMT.
  *                  NIL_RTNATIVETHREAD means the current thread
@@ -1755,5 +1755,5 @@
  * @returns VINF_SUCCESS normal wakeup (timeout or kicked by other thread).
  *          VERR_INTERRUPTED if a signal was scheduled for the thread.
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The Virtual CPU ID of the calling EMT.
  * @param   u64ExpireGipTime    The time for the sleep to expire expressed as GIP time.
@@ -1890,5 +1890,5 @@
  * @retval  VINF_GVM_NOT_BLOCKED if the EMT wasn't blocked.
  *
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The Virtual CPU ID of the EMT to wake up.
  * @param   fTakeUsedLock       Take the used lock or not
@@ -1944,5 +1944,5 @@
  * @retval  VINF_GVM_NOT_BLOCKED if the EMT wasn't blocked.
  *
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The Virtual CPU ID of the EMT to wake up.
  * @thread  Any but EMT.
@@ -1962,5 +1962,5 @@
  *
  * @param   pGVM                The global (ring-0) VM structure.
- * @param   pVCpu               The Virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 DECLINLINE(int) gvmmR0SchedPokeOne(PGVM pGVM, PVMCPU pVCpu)
@@ -1988,5 +1988,5 @@
  * @retval  VINF_GVM_NOT_BUSY_IN_GC if the EMT wasn't busy in GC.
  *
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The ID of the virtual CPU to poke.
  * @param   fTakeUsedLock       Take the used lock or not
@@ -2026,5 +2026,5 @@
  * @retval  VINF_GVM_NOT_BUSY_IN_GC if the EMT wasn't busy in GC.
  *
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The ID of the virtual CPU to poke.
  */
@@ -2040,5 +2040,5 @@
  * @returns VBox status code, no informational stuff.
  *
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   pSleepSet           The set of sleepers to wake up.
  * @param   pPokeSet            The set of CPUs to poke.
@@ -2086,6 +2086,6 @@
  *
  * @returns see GVMMR0SchedWakeUpAndPokeCpus.
- * @param   pVM             Pointer to the shared VM structure.
- * @param   pReq            The request packet.
+ * @param   pVM             Pointer to the VM.
+ * @param   pReq            Pointer to the request packet.
  */
 GVMMR0DECL(int) GVMMR0SchedWakeUpAndPokeCpusReq(PVM pVM, PGVMMSCHEDWAKEUPANDPOKECPUSREQ pReq)
@@ -2110,5 +2110,5 @@
  * @returns VINF_SUCCESS if not yielded.
  *          VINF_GVM_YIELDED if an attempt to switch to a different VM task was made.
- * @param   pVM                 Pointer to the shared VM structure.
+ * @param   pVM                 Pointer to the VM.
  * @param   idCpu               The Virtual CPU ID of the calling EMT.
  * @param   u64ExpireGipTime    The time for the sleep to expire expressed as GIP time.
@@ -2240,5 +2240,5 @@
  * The caller must check that the host can do high resolution timers.
  *
- * @param   pVM         The VM handle.
+ * @param   pVM         Pointer to the VM.
  * @param   idHostCpu   The current host CPU id.
  * @param   uHz         The desired frequency.
@@ -2437,6 +2437,6 @@
  *
  * @returns see GVMMR0QueryStatistics.
- * @param   pVM             Pointer to the shared VM structure. Optional.
- * @param   pReq            The request packet.
+ * @param   pVM             Pointer to the VM. Optional.
+ * @param   pReq            Pointer to the request packet.
  */
 GVMMR0DECL(int) GVMMR0QueryStatisticsReq(PVM pVM, PGVMMQUERYSTATISTICSSREQ pReq)
@@ -2552,6 +2552,6 @@
  *
  * @returns see GVMMR0ResetStatistics.
- * @param   pVM             Pointer to the shared VM structure. Optional.
- * @param   pReq            The request packet.
+ * @param   pVM             Pointer to the VM. Optional.
+ * @param   pReq            Pointer to the request packet.
  */
 GVMMR0DECL(int) GVMMR0ResetStatisticsReq(PVM pVM, PGVMMRESETSTATISTICSSREQ pReq)
Index: trunk/src/VBox/VMM/VMMR3/DBGF.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGF.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/DBGF.cpp	(revision 41777)
@@ -874,5 +874,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  */
 static DECLCALLBACK(int) dbgfR3Attach(PVM pVM)
Index: trunk/src/VBox/VMM/VMMR3/DBGFMem.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGFMem.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/DBGFMem.cpp	(revision 41777)
@@ -137,5 +137,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pAddress        Where to start reading.
  * @param   pvBuf           Where to store the data we've read.
@@ -197,5 +197,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the source CPU context (for the address).
  * @param   pAddress        Where to start reading.
@@ -221,5 +221,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the source CPU context (for the address).
  * @param   pAddress        Where to start reading.
@@ -269,5 +269,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the source CPU context (for the address).
  * @param   pAddress        Where to start reading.
@@ -300,5 +300,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the target CPU context (for the address).
  * @param   pAddress        Where to start writing.
@@ -357,5 +357,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the target CPU context (for the address).
  * @param   pAddress        Where to start writing.
Index: trunk/src/VBox/VMM/VMMR3/DBGFOS.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGFOS.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/DBGFOS.cpp	(revision 41777)
@@ -46,5 +46,5 @@
  * Internal cleanup routine called by DBGFR3Term().
  *
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  */
 void dbgfR3OSTerm(PVM pVM)
@@ -77,5 +77,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  * @param   pReg    The registration structure.
  */
@@ -126,5 +126,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  * @param   pReg    The registration structure.
  * @thread  Any.
@@ -164,5 +164,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  * @param   pReg    The registration structure.
  */
@@ -216,5 +216,5 @@
  * @returns VBox status code.
  *
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  * @param   pReg    The registration structure.
  * @thread  Any.
@@ -258,5 +258,5 @@
  * @retval  VINF_DBGF_OS_NOT_DETCTED if we cannot figure it out.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pszName     Where to store the OS name. Empty string if not detected.
  * @param   cchName     Size of the buffer.
@@ -305,5 +305,5 @@
  * @retval  VINF_DBGF_OS_NOT_DETCTED if we cannot figure it out.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pszName     Where to store the OS name. Empty string if not detected.
  * @param   cchName     Size of the buffer.
@@ -327,5 +327,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pszName         Where to store the OS name. Optional.
  * @param   cchName         The size of the name buffer.
@@ -374,5 +374,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pszName         Where to store the OS name. Optional.
  * @param   cchName         The size of the name buffer.
@@ -405,5 +405,5 @@
  * EMT worker for DBGFR3OSQueryInterface.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   enmIf       The interface identifier.
  * @param   ppvIf       Where to store the interface pointer on success.
@@ -430,5 +430,5 @@
  * @returns Pointer to the digger interface on success, NULL if the interfaces isn't
  *          available or no active guest OS digger.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   enmIf       The interface identifier.
  * @thread  Any.
Index: trunk/src/VBox/VMM/VMMR3/GMM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/GMM.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/GMM.cpp	(revision 41777)
@@ -71,5 +71,5 @@
  *
  * @returns VINF_SUCCESS or VERR_NO_TMP_MEMORY.
- * @param       pVM         Pointer to the shared VM structure.
+ * @param       pVM         Pointer to the VM.
  * @param[out]  ppReq       Where to store the pointer to the request packet.
  * @param       cPages      The number of pages that's to be allocated.
@@ -98,5 +98,5 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pReq        Pointer to the request (returned by GMMR3AllocatePagesPrepare).
  */
@@ -152,5 +152,5 @@
  *
  * @returns VINF_SUCCESS or VERR_NO_TMP_MEMORY.
- * @param       pVM         Pointer to the shared VM structure.
+ * @param       pVM         Pointer to the VM.
  * @param[out]  ppReq       Where to store the pointer to the request packet.
  * @param       cPages      The number of pages that's to be freed.
@@ -178,5 +178,5 @@
  *
  * @returns VINF_SUCCESS or VERR_NO_TMP_MEMORY.
- * @param       pVM         Pointer to the shared VM structure.
+ * @param       pVM         Pointer to the VM.
  * @param       pReq        A request buffer previously returned by
  *                          GMMR3FreePagesPrepare().
@@ -200,5 +200,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pReq            Pointer to the request (returned by GMMR3FreePagesPrepare).
  * @param   cActualPages    The number of pages actually freed.
@@ -246,5 +246,5 @@
  * This will not call VMSetError on failure but will use AssertLogRel instead.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pAllocReq   The allocation request to undo.
  */
Index: trunk/src/VBox/VMM/VMMR3/MMHyper.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/MMHyper.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/MMHyper.cpp	(revision 41777)
@@ -527,5 +527,5 @@
  * @return VBox status code.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pDevIns     The device owning the MMIO2 memory.
  * @param   iRegion     The region.
Index: trunk/src/VBox/VMM/VMMR3/PDM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDM.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PDM.cpp	(revision 41777)
@@ -570,5 +570,5 @@
  * Worker for pdmR3Term that terminates a LUN chain.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pLun        The head of the chain.
  * @param   pszDevice   The name of the device (for logging).
Index: trunk/src/VBox/VMM/VMMR3/PDMAsyncCompletion.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDMAsyncCompletion.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PDMAsyncCompletion.cpp	(revision 41777)
@@ -201,5 +201,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pDevIns         The device instance.
  * @param   ppTemplate      Where to store the template pointer on success.
@@ -243,5 +243,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pDrvIns         The driver instance.
  * @param   ppTemplate      Where to store the template pointer on success.
@@ -286,5 +286,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pUsbIns         The USB device instance.
  * @param   ppTemplate      Where to store the template pointer on success.
@@ -328,5 +328,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   ppTemplate      Where to store the template pointer on success.
  * @param   pfnCompleted    The completion callback routine.
@@ -426,5 +426,5 @@
  * @retval  VERR_PDM_ASYNC_TEMPLATE_BUSY if one or more of the templates are still in use.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pDevIns         The device instance.
  */
@@ -475,5 +475,5 @@
  * @retval  VERR_PDM_ASYNC_TEMPLATE_BUSY if one or more of the templates are still in use.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pDrvIns         The driver instance.
  */
@@ -524,5 +524,5 @@
  * @retval  VERR_PDM_ASYNC_TEMPLATE_BUSY if one or more of the templates are still in use.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pUsbIns         The USB device instance.
  */
@@ -905,5 +905,5 @@
  *
  * @returns VBox status code
- * @param   pVM Pointer to the shared VM structure.
+ * @param   pVM Pointer to the VM.
  */
 int pdmR3AsyncCompletionInit(PVM pVM)
@@ -925,5 +925,5 @@
  *
  * @returns VBox status code
- * @param   pVM Pointer to the shared VM structure.
+ * @param   pVM Pointer to the VM.
  */
 int pdmR3AsyncCompletionTerm(PVM pVM)
@@ -943,5 +943,5 @@
  *
  * @returns nothing.
- * @param   pVM Pointer to the shared VM structure.
+ * @param   pVM Pointer to the VM.
  */
 void pdmR3AsyncCompletionResume(PVM pVM)
Index: trunk/src/VBox/VMM/VMMR3/PDMDevice.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDMDevice.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PDMDevice.cpp	(revision 41777)
@@ -469,5 +469,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  */
 static int pdmR3DevLoadModules(PVM pVM)
Index: trunk/src/VBox/VMM/VMMR3/PDMNetShaper.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDMNetShaper.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PDMNetShaper.cpp	(revision 41777)
@@ -83,5 +83,5 @@
 typedef struct PDMNETSHAPER
 {
-    /** Pointer to the shared VM structure. */
+    /** Pointer to the VM. */
     PVM                      pVM;
     /** Critical section protecting all members below. */
@@ -469,5 +469,5 @@
  *
  * @returns VBox status code
- * @param   pVM Pointer to the shared VM structure.
+ * @param   pVM Pointer to the VM.
  */
 int pdmR3NetShaperInit(PVM pVM)
@@ -517,5 +517,5 @@
 
                     RTMemFree(pszBwGrpId);
-                    
+
                     if (RT_FAILURE(rc))
                         break;
Index: trunk/src/VBox/VMM/VMMR3/PDMUsb.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDMUsb.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PDMUsb.cpp	(revision 41777)
@@ -918,5 +918,5 @@
  * The device must be detached from the HUB at this point.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pUsbIns         The USB device instance to destroy.
  * @thread  EMT
@@ -1065,5 +1065,5 @@
  *
  * @returns true / false accordingly.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  */
 VMMR3DECL(bool) PDMR3USBHasHub(PVM pVM)
Index: trunk/src/VBox/VMM/VMMR3/PGMDbg.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PGMDbg.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/PGMDbg.cpp	(revision 41777)
@@ -561,5 +561,5 @@
  * @retval  VERR_INVALID_ARGUMENT if any other arguments are invalid.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   GCPhys          Where to start searching.
  * @param   cbRange         The number of bytes to search.
@@ -720,5 +720,5 @@
  * @retval  VERR_INVALID_ARGUMENT if any other arguments are invalid.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pVCpu           The CPU context to search in.
  * @param   GCPtr           Where to start searching.
Index: trunk/src/VBox/VMM/VMMR3/SSM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/SSM.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/SSM.cpp	(revision 41777)
@@ -950,5 +950,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pSSM            The SSM handle.
  * @param   uPass           The data pass number.
@@ -973,5 +973,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pSSM            The SSM handle.
  */
@@ -1003,5 +1003,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pSSM            The SSM handle.
  * @param   uVersion        The version (1).
@@ -1067,5 +1067,5 @@
  *
  * @returns VBox status code.
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   pSSM            The SSM handle.
  * @param   uVersion        The version (1).
Index: trunk/src/VBox/VMM/VMMR3/VM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 41777)
@@ -2952,5 +2952,5 @@
  * structure.
  *
- * @returns Pointer to the shared VM structure.
+ * @returns Pointer to the VM.
  *          NULL if @a pUVM is invalid (asserted) or if no shared VM structure
  *          is currently associated with it.
Index: trunk/src/VBox/VMM/VMMR3/VMM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VMM.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/VMM.cpp	(revision 41777)
@@ -283,5 +283,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  *
  * @remarks The optional guard page gets it protection setup up during R3 init
@@ -335,5 +335,5 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 static int vmmR3InitLoggers(PVM pVM)
@@ -1810,5 +1810,5 @@
  * @returns VBox status code.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idCpu           The ID of the source CPU context (for the address).
  * @param   R0Addr          Where to start reading.
Index: trunk/src/VBox/VMM/VMMR3/VMMSwitcher.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VMMSwitcher.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/VMMSwitcher.cpp	(revision 41777)
@@ -96,5 +96,5 @@
  *
  * @returns VBox status code.
- * @param   pVM     Pointer to the shared VM structure.
+ * @param   pVM     Pointer to the VM.
  */
 int vmmR3SwitcherInit(PVM pVM)
@@ -229,5 +229,5 @@
  * Relocate the switchers, called by VMMR#Relocate.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   offDelta    The relocation delta.
  */
Index: trunk/src/VBox/VMM/VMMR3/VMReq.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VMReq.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMR3/VMReq.cpp	(revision 41777)
@@ -94,5 +94,5 @@
  *          returned.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
@@ -127,5 +127,5 @@
  * @returns VBox status code returned by VMR3ReqCallVU.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
@@ -156,5 +156,5 @@
  * @returns VBox status code of VMR3ReqCallVU.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
@@ -187,5 +187,5 @@
  * @returns VBox status code of VMR3ReqCallVU.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
@@ -222,5 +222,5 @@
  *          returned.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
@@ -256,5 +256,5 @@
  * @returns VBox status code of VMR3ReqCallVU.
  *
- * @param   pVM             Pointer to the shared VM structure.
+ * @param   pVM             Pointer to the VM.
  * @param   idDstCpu        The destination CPU(s). Either a specific CPU ID or
  *                          one of the following special values:
Index: trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp	(revision 41777)
@@ -912,5 +912,5 @@
  * @returns VINF_SUCCESS or VINF_EM_RAW_EMULATE_INSTR.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  * @param   pVCpu       The virtual CPU handle.
  * @param   pRegFrame   Pointer to the register frame for the trap.
Index: trunk/src/VBox/VMM/VMMRZ/PGMRZDynMap.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRZ/PGMRZDynMap.cpp	(revision 41776)
+++ trunk/src/VBox/VMM/VMMRZ/PGMRZDynMap.cpp	(revision 41777)
@@ -466,5 +466,5 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 VMMR0DECL(int) PGMR0DynMapInitVM(PVM pVM)
@@ -521,5 +521,5 @@
  * Terminates the dynamic mapping cache usage for a VM.
  *
- * @param   pVM         Pointer to the shared VM structure.
+ * @param   pVM         Pointer to the VM.
  */
 VMMR0DECL(void) PGMR0DynMapTermVM(PVM pVM)
Index: trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h	(revision 41776)
+++ trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h	(revision 41777)
@@ -170,5 +170,5 @@
 typedef struct PDMASYNCCOMPLETIONEPCLASS
 {
-    /** Pointer to the shared VM structure. */
+    /** Pointer to the VM. */
     PVM                                         pVM;
     /** Critical section protecting the lists below. */