Index: trunk/src/VBox/VMM/VMMR3/CPUM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/CPUM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/CPUM.cpp	(revision 41803)
@@ -1061,5 +1061,5 @@
  * Used by CPUMR3Reset and CPU hot plugging.
  *
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 VMMR3DECL(void) CPUMR3ResetCpu(PVMCPU pVCpu)
@@ -3605,10 +3605,10 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the VM
- * @param   pVCpu       VMCPU Handle
- * @param   pCtx        CPU context
+ * @param   pVM         Pointer to the VM.
+ * @param   pVCpu       Pointer to the VMCPU.
+ * @param   pCtx        Pointer to the guest CPU context.
  * @param   GCPtrPC     Program counter (relative to CS) to disassemble from.
- * @param   pCpu        Disassembly state
- * @param   pszPrefix   String prefix for logging (debug only)
+ * @param   pCpu        Disassembly state.
+ * @param   pszPrefix   String prefix for logging (debug only).
  *
  */
@@ -4000,5 +4000,5 @@
  * Leaves REM and works the CPUM_CHANGED_HIDDEN_SEL_REGS_INVALID flag.
  *
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  * @param   fNoOutOfSyncSels    This is @c false if there are out of sync
  *                              registers.
Index: trunk/src/VBox/VMM/VMMR3/CPUMDbg.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/CPUMDbg.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/CPUMDbg.cpp	(revision 41803)
@@ -171,5 +171,5 @@
  *
  * @returns true if it is, false if it's in FNSAVE.
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 DECLINLINE(bool) cpumR3RegIsFxSaveFormat(PVMCPU pVCpu)
Index: trunk/src/VBox/VMM/VMMR3/DBGFAddr.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGFAddr.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/DBGFAddr.cpp	(revision 41803)
@@ -215,5 +215,5 @@
  *
  * @returns VBox status code.
- * @param   pVCpu           The virtual CPU handle.
+ * @param   pVCpu           Pointer to the VMCPU.
  * @param   pAddress        The address.
  * @param   pGCPhys         Where to return the physical address.
Index: trunk/src/VBox/VMM/VMMR3/DBGFDisas.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGFDisas.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/DBGFDisas.cpp	(revision 41803)
@@ -90,6 +90,6 @@
  *
  * @returns VBox status code.
- * @param   pVM         Pointer to the VM
- * @param   pVCpu       VMCPU handle
+ * @param   pVM         Pointer to the VM.
+ * @param   pVCpu       Pointer to the VMCPU.
  * @param   pSelInfo    The selector info.
  * @param   enmMode     The guest paging mode.
@@ -323,5 +323,5 @@
  * @returns VBox status code.
  * @param       pVM             Pointer to the VM.
- * @param       pVCpu           The virtual CPU handle.
+ * @param       pVCpu           Pointer to the VMCPU.
  * @param       Sel             The code selector. This used to determine the 32/16 bit ness and
  *                              calculation of the actual instruction address.
@@ -653,5 +653,5 @@
  * @returns VBox status code.
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The virtual CPU handle, defaults to CPU 0 if NULL.
+ * @param   pVCpu           Pointer to the VMCPU, defaults to CPU 0 if NULL.
  * @param   Sel             The code selector. This used to determine the 32/16 bit-ness and
  *                          calculation of the actual instruction address.
Index: trunk/src/VBox/VMM/VMMR3/DBGFReg.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/DBGFReg.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/DBGFReg.cpp	(revision 41803)
@@ -498,5 +498,5 @@
  * @returns VBox status code.
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The virtual CPU handle.
+ * @param   pVCpu           Pointer to the VMCPU.
  * @param   paRegisters     The register descriptors.
  * @param   fGuestRegs      Set if it's the guest registers, clear if
Index: trunk/src/VBox/VMM/VMMR3/PDM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PDM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/PDM.cpp	(revision 41803)
@@ -1403,5 +1403,5 @@
  * Used by PDMR3Reset and CPU hot plugging.
  *
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 VMMR3DECL(void) PDMR3ResetCpu(PVMCPU pVCpu)
Index: trunk/src/VBox/VMM/VMMR3/PGM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PGM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/PGM.cpp	(revision 41803)
@@ -2469,5 +2469,5 @@
  *
  * @param   pVM                 Pointer to the VM.
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 VMMR3DECL(void) PGMR3ResetUnpluggedCpu(PVM pVM, PVMCPU pVCpu)
Index: trunk/src/VBox/VMM/VMMR3/PGMSharedPage.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/PGMSharedPage.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/PGMSharedPage.cpp	(revision 41803)
@@ -197,5 +197,5 @@
  * @returns VBox strict status code.
  * @param   pVM                 Pointer to the VM.
- * @param   pVCpu               The VMCPU handle for the calling EMT.
+ * @param   pVCpu               Pointer to the VMCPU of the calling EMT.
  * @param   pvUser              Pointer to a VMCPUID with the requester's ID.
  */
Index: trunk/src/VBox/VMM/VMMR3/SELM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/SELM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/SELM.cpp	(revision 41803)
@@ -2300,5 +2300,5 @@
  *
  * @param   pVM         Pointer to the VM.
- * @param   pVCpu       The virtual CPU handle.
+ * @param   pVCpu       Pointer to the VMCPU.
  * @param   Sel         The selector to get info about.
  * @param   pSelInfo    Where to store the information.
Index: trunk/src/VBox/VMM/VMMR3/TM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/TM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/TM.cpp	(revision 41803)
@@ -2610,6 +2610,6 @@
  * @returns VBox status code, all errors are asserted.
  * @param   pVM         Pointer to the VM.
- * @param   pVCpu       The virtual CPU handle.
- * @thread  EMT corresponding to the virtual CPU handle.
+ * @param   pVCpu       Pointer to the VMCPU.
+ * @thread  EMT corresponding to Pointer to the VMCPU.
  */
 VMMR3DECL(int) TMR3NotifySuspend(PVM pVM, PVMCPU pVCpu)
@@ -2653,6 +2653,6 @@
  * @returns VBox status code, all errors are asserted.
  * @param   pVM         Pointer to the VM.
- * @param   pVCpu       The virtual CPU handle.
- * @thread  EMT corresponding to the virtual CPU handle.
+ * @param   pVCpu       Pointer to the VMCPU.
+ * @thread  EMT corresponding to Pointer to the VMCPU.
  */
 VMMR3DECL(int) TMR3NotifyResume(PVM pVM, PVMCPU pVCpu)
Index: trunk/src/VBox/VMM/VMMR3/TRPM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/TRPM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/TRPM.cpp	(revision 41803)
@@ -730,5 +730,5 @@
  * Used by TRPMR3Reset and CPU hot plugging.
  *
- * @param   pVCpu               The virtual CPU handle.
+ * @param   pVCpu               Pointer to the VMCPU.
  */
 VMMR3DECL(void) TRPMR3ResetCpu(PVMCPU pVCpu)
Index: trunk/src/VBox/VMM/VMMR3/VM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 41803)
@@ -1211,5 +1211,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
@@ -1300,5 +1300,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
@@ -1382,5 +1382,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
@@ -1464,5 +1464,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          The pfSuspended argument of vmR3SaveTeleport.
  */
@@ -1564,5 +1564,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          The pfSuspended argument of vmR3SaveTeleport.
  */
@@ -2156,5 +2156,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
@@ -2786,5 +2786,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
@@ -4089,5 +4089,5 @@
  *
  * @param   pVM             Pointer to the VM.
- * @param   pVCpu           The VMCPU handle of the EMT.
+ * @param   pVCpu           Pointer to the VMCPU of the EMT.
  * @param   pvUser          Ignored.
  */
Index: trunk/src/VBox/VMM/VMMR3/VMEmt.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VMEmt.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/VMEmt.cpp	(revision 41803)
@@ -1190,5 +1190,5 @@
  * @returns VBox strict status code.
  * @param   pVM                 Pointer to the VM.
- * @param   pVCpu               The VMCPU handle for the calling EMT.
+ * @param   pVCpu               Pointer to the VMCPU of the calling EMT.
  * @param   pvUser              The new g_aHaltMethods index.
  */
Index: trunk/src/VBox/VMM/VMMR3/VMM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VMM.cpp	(revision 41802)
+++ trunk/src/VBox/VMM/VMMR3/VMM.cpp	(revision 41803)
@@ -2043,5 +2043,5 @@
  * @returns VBox status code.
  * @param   pVM     Pointer to the VM.
- * @param   pVCpu   VMCPU handle
+ * @param   pVCpu   Pointer to the VMCPU.
  * @remark  Careful with critsects.
  */